Tryton - Issues

 

Issue7523

Title Manage internal shipment between supplier and customer
Priority bug Status resolved
Superseder Nosy List ced, reviewbot, roundup-bot
Type behavior Components stock_consignment
Assigned To ced Keywords review
Reviews 70381002
View: 70381002

Created on 2018-06-18.12:36:03 by ced, last changed by roundup-bot.

Messages
New changeset 91a5e7e51cbb by Cédric Krier in branch 'default':
Manage move from supplier to customer
https://hg.tryton.org/tryton-env/rev/91a5e7e51cbb
New changeset fff1641450a2 by Cédric Krier in branch 'default':
Manage move from supplier to customer
https://hg.tryton.org/modules/stock_consignment/rev/fff1641450a2
New review70381002 at https://codereview.tryton.org/70381002/#ps1
msg43908 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-16.22:19:21
The transit location does not work for all cases. For example, if the consignment in customer location is composed of storage and supplier locations, the internal shipment may be composed of moves from storage and supplier. So the transit location could not be applied for storage move. Also it requires an extra step for the internal shipment which is not desired.

So the proposal of review70381002 is to create two invoice lines for this case.
msg43905 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-09-16.01:47:32
I think we could support such shipment if we use a transit location.
msg41446 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-06-18.16:33:18
I raise it as a bug because it can generate missing invoices.
msg41440 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-06-18.12:36:02
Such case is not supported [1] and we can not support it to get correct cost computation.

[1] https://groups.google.com/d/topic/tryton/6hktrvYyUB8/discussion
History
Date User Action Args
2018-10-04 09:07:08roundup-botsetmessages: + msg44311
2018-10-04 09:06:58roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg44310
2018-09-25 16:59:46cedsettitle: Forbid internal shipment between supplier and customer -> Manage internal shipment between supplier and customer
2018-09-16 22:32:23reviewbotsetnosy: + reviewbot
messages: + msg43909
2018-09-16 22:32:23reviewbotsetreviews: 70381002
keyword: + review
2018-09-16 22:19:22cedsetstatus: in-progress -> testing
messages: + msg43908
2018-09-16 01:47:33cedsetstatus: chatting -> in-progress
assignedto: ced
messages: + msg43905
2018-06-18 16:33:18cedsetpriority: feature -> bug
status: unread -> chatting
messages: + msg41446
2018-06-18 12:36:03cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)